Bug 238899 - kernel iret exception "sleeping function called from invalid context at kernel/rwsem.c:20"
Summary: kernel iret exception "sleeping function called from invalid context at kerne...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen-2.6   
(Show other bugs)
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-03 18:35 UTC by Robin Bowes
Modified: 2008-02-27 00:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 00:10:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Segment of log file containing the error (6.99 KB, text/plain)
2007-05-03 18:35 UTC, Robin Bowes
no flags Details

Description Robin Bowes 2007-05-03 18:35:38 UTC
Description of problem:

Kernel exception - sometimes "soft", i.e. server continues running, sometimes
"hard", i.e. it stops.

Version-Release number of selected component (if applicable):

2.6.20-1.2948.fc6xen #1 SMP Fri Apr 27 20:07:53 EDT 2007 i686 i686 i386 GNU/Linux


How reproducible:

Er, it just happens.

Steps to Reproduce:

Not sure how to reproduce on demand.
  
Actual results:

See attached log file.

Expected results:

Shouldn't happen

Additional info:

Comment 1 Robin Bowes 2007-05-03 18:35:38 UTC
Created attachment 154057 [details]
Segment of log file containing the error

Comment 2 Robin Bowes 2007-05-04 09:08:47 UTC
I have regressed to kernel-xen-2.6.19-1.2911.fc6 and everything seems to be
working again. So, it seems to be a problem in 2.6.20.

Comment 3 Eduardo Habkost 2007-06-04 13:04:27 UTC
This looks like the problem reported on bug #234008. Could you test kernel-xen 
2.6.20-1.2952.fc6, that is on updates-testing repository?

Comment 4 Chris Lalancette 2008-02-27 00:10:04 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.